/* ==================== [ Root CSS Start ] ==================== */
/* ==================== [ Core Colors ] ==================== */
:root {
    --white: #ffffff;
    --black: #000000;
    --transparent: #0000;
}

/* ==================== [ Brand / Theme ] ==================== */
:root {
    --primary: #1B75BB;
    --dark-primary: #155A91;
    --secondary: #929497;
    --danger: #EF4444;
    --warning: #F97316;
    --success: #4CAF50;
    --dark: #0D0D0D;
    --body: var(--white);
}

:root {
    --active-bg: rgba(27, 117, 187, 0.15);
    --box-shadow: 0 2px 6px rgb(146, 148, 151, 0.13);
    --border: rgb(146, 148, 151, 0.2);
}

/* ==================== [ Fonts ] ==================== */
:root {
    --font-primary: "Archivo", sans-serif;
}

/* ==================== [ Typography – Common ] ==================== */
:root {
    --a-color: var(--primary);
    --a-hover-color: var(--primary);

    --marker-color: var(--primary);

    --blockquote-border-color: var(--primary);
    --blockquote-bg: var(--white);

    --pre-bg: var(--white);
    --pre-color: var(--primary);
}

/* ==================== [ Brand Global CSS Start ] ==================== */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

body {
    color: var(--primary);
    font-family: var(--font-primary);
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 26px;
    background: var(--body);
    overflow-x: hidden;
    overscroll-behavior: none;
}

/* ==================== [ Brand Global CSS End ] ==================== */

/* ==================== [ Typography Start ] ==================== */

a,
input,
button,
textarea {
    outline: none;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
textarea:-webkit-autofill:active,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus,
select:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 1000px var(--transparent) inset !important;
    -webkit-text-fill-color: var(--secondary) !important;
    transition: background-color 5000s ease-in-out 0s;
}

input:autofill,
textarea:autofill,
select:autofill {
    background-color: var(--transparent) !important;
    color: var(--secondary) !important;
}

a {
    color: var(--a-color);
    word-break: break-word;
    transition: all 0.3s ease-in-out;
}

a:hover {
    color: var(--a-hover-color);
}

p {
    color: inherit;
    font-family: inherit;
    font-size: inherit;
    font-style: inherit;
    font-weight: inherit;
    line-height: inherit;
    margin-bottom: 20px;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0;
}

textarea {
    resize: none;
}

/* ==================== [ Typography End ] ==================== */

/* ==================== [ Common Start ] ==================== */
.img-cover * {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.img-contain * {
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center;
}

/* ==================== [ Common End ] ==================== */

/* ==================== [ Common Heading Start ] ==================== */
/* ==================== [ Common Heading End ] ==================== */

/* ==================== [ Button Start ] ==================== */
.btn {
    width: fit-content;
    padding: 6px 20px;
    text-align: center;
    font-family: var(--font-primary);
    font-size: 18px;
    font-weight: 400;
    line-height: 26px;
    border-radius: 8px;
    border: 1px solid;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.btn-primary {
    color: var(--white);
    background: var(--primary);
    border-color: var(--primary);
}

.btn-primary:is(:hover, :focus-visible, :active, .active) {
    color: var(--white) !important;
    background-color: var(--dark-primary) !important;
    border-color: var(--dark-primary) !important;
    box-shadow: none !important;
    outline: 0 !important;
}

/* ==================== [ Button End ] ==================== */

/* ==================== [ Link Start ] ==================== */
.link-primary {
    color: var(--primary) !important;
}

.link-primary:hover {
    color: var(--dark-primary) !important;
}

.link-info {
    color: var(--info) !important;
}

.link-info:hover {
    color: var(--dark-info) !important;
}

.link-teal {
    color: var(--teal) !important;
}

.link-teal:hover {
    color: var(--dark-teal) !important;
}

.link-success {
    color: var(--success) !important;
}

.link-success:hover {
    color: var(--dark-success) !important;
}

.link-yellow {
    color: var(--yellow) !important;
}

.link-yellow:hover {
    color: var(--dark-yellow) !important;
}

.link-warning {
    color: var(--warning) !important;
}

.link-warning:hover {
    color: var(--dark-warning) !important;
}

.link-danger {
    color: var(--danger) !important;
}

.link-danger:hover {
    color: var(--dark-danger) !important;
}

.link-purple {
    color: var(--purple) !important;
}

.link-purple:hover {
    color: var(--dark-purple) !important;
}

.link-secondary {
    color: var(--secondary) !important;
}

.link-secondary:hover {
    color: var(--dark-secondary) !important;
}

/* ==================== [ Link End ] ==================== */

/* ==================== [ Login Start ] ==================== */
.login-wrapper {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    min-height: 100dvh;
}

.login-wrapper .bg-grad {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    overflow: hidden;
}

.login-wrapper .bg-grad #gradient-canvas {
    width: 100%;
    height: 100%;
    --gradient-color-1: #ffffff;
    --gradient-color-2: #1B75BB;
    --gradient-color-3: #85c1e9;
    --gradient-color-4: #f5faff;
}

.login-wrapper .header {
    position: absolute;
    top: 30px;
    left: 30px;
    width: fit-content;
}

.login-wrapper .header .logo {
    max-height: 80px;
}

.login-wrapper .login-content-wrapper {
    padding: 20px;
    height: 100dvh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.login-wrapper .login-box-body {
    max-width: 400px;
    padding: 30px;
    width: 100%;
    border-radius: 24px;
    box-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
    position: relative;
    box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.08), inset 0px 16px 32px 0px rgba(255, 255, 255, 0.65);
    background: linear-gradient(126.65deg, rgba(255, 255, 255, 0.65) 0%, rgba(255, 255, 255, 0.50) 27.88%);
    backdrop-filter: blur(8px);
}

.login-wrapper .logo img {
    max-height: 50px;
}

.login-wrapper .footer {
    position: absolute;
    bottom: 20px;
    right: 20px;
    width: fit-content;
}

.login-wrapper .footer * {
    color: var(--black);
    font-size: 12px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    display: flex;
    align-items: center;
    gap: 5px;
    justify-content: end;
    margin-bottom: 0;
}

.login-wrapper .footer a {
    color: var(--primary);
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    text-decoration-line: underline !important;
    text-decoration-style: solid !important;
    text-decoration-skip-ink: none !important;
    text-decoration-thickness: auto !important;
    text-underline-offset: auto !important;
    text-underline-position: from-font !important;
    -moz-text-decoration-line: underline !important;
    -moz-text-decoration-style: solid !important;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
}

.login-wrapper .footer a:hover {
    color: var(--black);
}


.login-wrapper .footer img {
    width: 14px;
    animation: pulse 1.2s infinite;
    -webkit-animation: pulse 1.2s infinite;
}

@keyframes pulse {
    10% {
        transform: scale(1.3)
    }

    20% {
        transform: scale(1)
    }

    30% {
        transform: scale(1.3)
    }
}

.login-wrapper .back-button {
    text-decoration: none;
}

.login-wrapper .back-button {
    text-decoration: none;
}

/* ==================== [ Login End ] ==================== */

/* ==================== [ Theme Extra Class Start ] ==================== */
.text-danger {
    color: var(--danger);
}

.text-warning {
    color: var(--warning);
}

.text-success {
    color: var(--success);
}

/* ==================== [ Theme Extra Class End ] ==================== */

/* ==================== [ Body Wrapper Start ] ==================== */
.body-wrapper {
    position: relative;
    display: flex;
    align-items: flex-start;
}

/* ==================== [ Body Wrapper End ] ==================== */

/* ==================== [ Usb Login Page Start ] ==================== */
.usb-login-icon {
    width: 110px;
    height: 110px;
    margin: 20px auto 40px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background: var(--primary);
    overflow: visible;
}

.usb-login-icon img {
    width: 56%;
    height: 56%;
    object-fit: contain;
    position: relative;
    z-index: 5;
}

.usb-login-icon::before {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: 50%;
    border: 1px solid var(--primary);
    animation: premiumWave 1.2s cubic-bezier(.2, .6, .2, 1) infinite;
    -webkit-animation: premiumWave 1.2s cubic-bezier(.2, .6, .2, 1) infinite;
}

/* ========================= */
/* WAVE ANIMATION */
/* ========================= */

@keyframes premiumWave {

    0% {
        transform: scale(1.1);
        opacity: .9;
        -webkit-transform: scale(1.1);
        -moz-transform: scale(1.1);
        -ms-transform: scale(1.1);
        -o-transform: scale(1.1);
    }

    40% {
        opacity: .5;
    }

    100% {
        transform: scale(1.45);
        opacity: 0;
        -webkit-transform: scale(1.45);
        -moz-transform: scale(1.45);
        -ms-transform: scale(1.45);
        -o-transform: scale(1.45);
    }
}

.usb-content .title * {
    color: var(--dark);
    font-weight: 500;
}

.usb-content .disc * {
    color: var(--secondary);
    font-size: 14px;
    line-height: 120%;
}

/* ==================== [ Usb Login Page End ] ==================== */